-- Snippit taken from http://love2d.org/forums/viewtopic.php?f=4&t=2087 modified by Mud,
-- and originally written by Bartbes

local rawdata = {}
local sources = {} -- reference sources so they aren't collected while in use

function sound_load(name, filename)
   rawdata[name] = love.sound.newSoundData(filename)
end

function sound_play(name)
   local source = love.audio.newSource(rawdata[name], 'static')
   sources[#sources + 1] = source
   love.audio.play(source)
end
